Daemon Power

The NetBSD Packages Collection: lang/nodejs4

Brief description of the package:
V8 JavaScript for clients and servers

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://nodejs.org/.

Please note that this package has a mit license.

The package is located in the "lang/nodejs4" directory. The current source version of the package is "nodejs-4.8.4nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for lang/nodejs4 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: openssl>=1.0.2 perl>=5.0 cwrappers>=20150314 p5-Perl4-CoreLibs-[0-9]* perl>=5.26.0 perl<5.28.0 p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-CPAN-Meta>=2.142060 p5-Scalar-List-Utils>=1.33 openssl>=1.0.1c python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 openssl>=1.0.2gnb1 python27>=2.7.1nb2 lockf-[0-9]* .

This package requires the following package(s) to run: openssl>=1.0.2 perl>=5.0 openssl>=1.0.1c python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 openssl>=1.0.2gnb1 python27>=2.7.1nb2 .

This package supports the following build-time options:

dtrace
Enable DTrace support.
openssl
Enable OpenSSL support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv7hf:nodejs-4.2.3.tgz(NetBSD 7.0)
earmv7hf:nodejs-4.8.3.tgz(NetBSD 8.0_BETA)
i386:nodejs-4.8.3.tgz(NetBSD 7.0)
i386:nodejs-4.6.0.tgz(NetBSD 7.0)
i386:nodejs-4.7.0.tgz(NetBSD 7.0)
i386:nodejs-4.8.2.tgz(NetBSD 7.0)
x86_64:nodejs-4.8.4nb1.tgz(NetBSD 6.1)
x86_64:nodejs-4.6.0.tgz(NetBSD 6.1)
x86_64:nodejs-4.7.0.tgz(NetBSD 6.1)
x86_64:nodejs-4.8.2.tgz(NetBSD 6.1)
x86_64:nodejs-4.8.3.tgz(NetBSD 6.1)
x86_64:nodejs-4.8.3.tgz(NetBSD 7.0)
x86_64:nodejs-4.6.0.tgz(NetBSD 7.0)
x86_64:nodejs-4.7.0.tgz(NetBSD 7.0)
x86_64:nodejs-4.8.2.tgz(NetBSD 7.0)
x86_64:nodejs-4.8.3.tgz(NetBSD 7.0.1_PATCH)
x86_64:nodejs-4.8.3.tgz(NetBSD 8.99.1)
x86_64:nodejs-4.8.4.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]